Skip to main content
POST
/
agent-delegation-invitations
Create agent delegation invitation
curl --request POST \
  --url https://api.natural.co/agent-delegation-invitations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "attributes": {
      "customer_email": "customer@example.com",
      "permissions": [
        "payments.create",
        "wallets.read"
      ],
      "proposed_agents": [
        {
          "agent_id": "agt_019cd1798d637a4da75dce386343931d",
          "permissions": [
            "payments.create"
          ],
          "limits": {
            "perTransaction": 5000,
            "daily": null,
            "monthly": null
          }
        }
      ],
      "expires_in_days": 7
    }
  }
}
'
{
  "data": {
    "type": "delegation_invitation",
    "id": "din_019cd3444a747fc494656a587201f193",
    "attributes": {
      "customer_email": "customer@example.com",
      "status": "PENDING",
      "permissions": [
        "payments.create",
        "wallets.read"
      ],
      "expires_at": "2026-02-07T00:00:00Z",
      "token": null,
      "magic_link": null,
      "created_at": "2026-01-31T00:00:00Z"
    },
    "relationships": {
      "delegated_party": {
        "data": {
          "type": "party",
          "id": "pty_019cd1798d617f65a79cb965dda9eac3"
        }
      },
      "delegating_party": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Agent-ID
string | null

Agent ID (agt_xxx) identifying which agent is making the request.

X-Instance-ID
string | null

Agent session/conversation ID for observability.

Maximum string length: 1024

Body

application/json

Request body for creating a delegation invitation (JSON:API).

data
DelegationInvitationCreateData · object
required

Resource object

Response

Successful Response

Single delegation invitation response.

data
DelegationInvitationResource · object
required

Resource object